Name:           jempbox
Version:        0.2.0
Release:        3%{?dist}
Summary:        A Java library that implements Adobe's XMP specification
License:        BSD
Group:          Development/Tools
Url:            http://jempbox.org/
Source0:        http://downloads.sourceforge.net/%{name}/JempBox-%{version}.zip
# Remove the 'target="1.4"' that produces a warning (not sent upstream because
# upstream seems dormant)
Patch0:         %{name}-0.2.0-build_xml.patch

Requires:       java >= 0:1.4.2

BuildRequires:  ant, ant-junit, ant-nodeps
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  dos2unix
BuildArch:      noarch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
JempBox is an open source Java library that implements Adobe's XMP
specification. Its features include:
- Reading/Writing XMP streams
- High level API to standard XMP schemas

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
%description javadoc
Documentation for the jempbox library

%prep
%setup -q -n JempBox-%{version}
%patch0 -p1
rm -f lib/*.jar
dos2unix docs/javadoc/stylesheet.css docs/javadoc/package-list
dos2unix licenses/jempbox/LICENSE docs/*.* docs/skin/*.* docs/skin/images/*.*
# Do these ones again because they have messed up line endings
dos2unix docs/skin/print.css docs/skin/screen.css
for file in docs/skin/CommonMessages_*.xml; do
    iconv -f ISO88591 -t UTF8 $file > tmp.utf8
    mv tmp.utf8 $file
done

%build
# export CLASSPATH=`build-classpath pdfbox`
ant package javadoc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_javadocdir}/
mv docs/javadoc ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p lib/JempBox-%{version}.jar  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
%add_to_maven_depmap net.sf.nachocalendar %{name} %{version} JPP %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%doc docs/* licenses/jempbox/LICENSE
%{_javadir}/*.jar
%config(noreplace) %{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}

%changelog
* Tue Dec  9 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.2.0-3
- Add dist to version
- Fix BuildRoot to follow the latest guidelines

* Mon Nov 24 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.2.0-2
- Edit the description and summary
- Add a comment explaining the patch
- Add ant-nodeps and ant-junit to BuildRequires

* Thu Nov  6 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.2.0-1
- Initial package
